'content-indexer':
  'jcr:primaryType': 'mgnl:content'
  'version': '5.5.4-SNAPSHOT'
  'config':
    'indexServiceClass': 'info.magnolia.search.solrsearchprovider.logic.indexer.BasicSolrIndexService'
    'jcr:primaryType': 'mgnl:content'
    'indexers':
      'jcr:primaryType': 'mgnl:content'
      'websiteIndexer':
        'enabled': 'false'
        'pull': 'false'
        'rootNode': '/'
        'type': 'website'
        'workspace': 'website'
        'fieldMappings':
          'abstract': 'abstract'
          'author': 'author'
          'date': 'date'
          'mgnl:lastModified0': 'date'
          'teaserAbstract': 'mgnlmeta_teaserAbstract'
          'text': 'content'
          'title': 'title'
      'damIndexer':
        'enabled': 'false'
        'nodeType': 'mgnl:asset'
        'pull': 'true'
        'rootNode': '/'
        'type': 'media'
        'workspace': 'dam'
        'fieldMappings':
          'caption': 'asset_caption'
          'contributor': 'asset_contributor'
          'copyright': 'asset_copyright'
          'coverage': 'asset_coverage'
          'description': 'asset_description'
          'extension': 'asset_extension'
          'fileName': 'asset_filename'
          'languages': 'asset_languages'
          'name': 'asset_name'
          'publisher': 'asset_publisher'
          'relation': 'asset_relation'
          'source': 'asset_source'
          'subject': 'asset_subject'
          'title': 'asset_title'
    'crawlers':
      'jcr:primaryType': 'mgnl:content'
      'corp_site':
        'catalog': 'content-indexer'
        'command': 'mujcrawelr'
        'depth': '2'
        'enabled': 'false'
        'nbrCrawlers': '2'
        'type': 'corp_website'
        'sites':
          'corp_site':
            'url': 'http://www.magnolia-cms.com/'
        'fieldMappings':
          'abstract': '#main'
          'keywords': 'meta[name=keywords] attr(0,content)'
      'bbc_com':
        'depth': '2'
        'enabled': 'false'
        'nbrCrawlers': '2'
        'type': 'news'
        'sites':
          'bbc':
            'url': 'http://www.bbc.co.uk/'
        'fieldMappings':
          'abstract': '#story_continues_1'
          'keywords': 'meta[name=Description] attr(0,content)'
      'travel_demo':
        'activationOnly': 'true'
        'depth': '2'
        'enabled': 'true'
        'nbrCrawlers': '2'
        'type': 'travel_demo_website'
        'sites':
          'travel-demo':
            'url': 'http://localhost:8080/magnoliaPublic/travel.html'
        'fieldMappings':
          'abstract': '.container'
          'keywords': 'meta[name=keywords] attr(0,content)'
        'jcrItems':
          'trave-demo':
            'path': '/travel'
            'workspace': 'website'
          'trave-demo-assets':
            'path': '/travel-demo'
            'workspace': 'dam'
  'commands':
    'jcr:primaryType': 'mgnl:content'
    'content-indexer':
      'jcr:primaryType': 'mgnl:content'
      'crawlerIndexer':
        'cleanSolr':
          'class': 'info.magnolia.search.solrsearchprovider.logic.commands.CleanSolrIndexCommand'
        'crawler':
          'class': 'info.magnolia.module.indexer.crawler.commands.CrawlerIndexerCommand'
      'mujcralwer':
        'cleanSolr':
          'class': 'info.magnolia.search.solrsearchprovider.logic.commands.CleanSolrIndexCommand'
          'removeNoIndex': 'true'
        'crawler':
          'class': 'info.magnolia.module.indexer.crawler.commands.CrawlerIndexerCommand'
